apiVersion: apps/v1
kind: Deployment
metadata:
  name: power-eagle
spec:
  replicas: 1
  strategy: {type: Recreate}
  selector:
    matchLabels:
      app: power-eagle
  template:
    metadata:
      labels:
        app: power-eagle
    spec:
      containers:
        - name: power-eagle
          image: bang5:5000/power_eagle_image
          workingDir: /opt
          command: 
          - pdm
          - run
          - uvicorn
          - '--port=8000'
          - '--host=0.0.0.0'
          - 'reader:app'
          ports:
          - containerPort: 8000
---
apiVersion: v1
kind: Service
metadata:
  name: power-eagle
spec:
  ports:
  - {port: 80, targetPort: 8000}
  selector:
    app: power-eagle

    
